package it.integry.integrywmsnative.core.model;

import java.text.SimpleDateFormat;
import java.util.Date;

import it.integry.integrywmsnative.core.settings.SettingsManager;

public class MtbCols extends EntityBase {

    private String dataCollo;
    private String gestione;
    private Integer idRiga;
    private Integer numCollo;
    private String serCollo;
    private String codMdep;
    private String dataMove;
    private String modificatoDa;
    private String posizione;
    private String causale;

    public MtbCols() {
        type = "mtb_cols";
        setCodMdep(SettingsManager.i().userSession.depo.getCodMdep());
        setModificatoDa(SettingsManager.i().user.fullname);
        setDataMove(new Date());
    }

    public String getDataCollo() {
        return dataCollo;
    }

    public MtbCols setDataCollo(String dataCollo) {
        this.dataCollo = dataCollo;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public MtbCols setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public Integer getIdRiga() {
        return idRiga;
    }

    public MtbCols setIdRiga(Integer idRiga) {
        this.idRiga = idRiga;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public MtbCols setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public MtbCols setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public MtbCols setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getDataMove() {
        return dataMove;
    }

    public MtbCols setDataMove(String dataMove) {
        this.dataMove = dataMove;
        return this;
    }

    public MtbCols setDataMove(Date dataMove) {
        SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
        this.dataMove = sdf.format(dataMove);
        return this;
    }

    public String getModificatoDa() {
        return modificatoDa;
    }

    public MtbCols setModificatoDa(String modificatoDa) {
        this.modificatoDa = modificatoDa;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public MtbCols setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public String getCausale() {
        return causale;
    }

    public MtbCols setCausale(String causale) {
        this.causale = causale;
        return this;
    }
}
